DynamicSemanticsErrorException (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class DynamicSemanticsErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - hlt.language.design.backend.DynamicSemanticsErrorException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ArrayAllocationErrorException, LockViolationException, NoSuchElementException, NullValueException, ObjectInitializationException, SizeMatchException, UnsafeCodeException

      public abstract class DynamicSemanticsErrorException
      extends java.lang.RuntimeException

  Version:
    Last modified on Wed Jun 20 22:23:55 2012 by hak
  Author:
    Hassan Aït-Kaci
  See Also:
    Serialized Form
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicSemanticsErrorException()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `msg()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicSemanticsErrorException

          public DynamicSemanticsErrorException()

  - ### Method Detail

    - #### msg

          public final java.lang.String msg()

    - #### getMessage

          public final java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`